Package ru.bitel.common.model

# Class IdContractId

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

Direct Known Subclasses:
  `AbstractBillDocument`, `Account`, `AccountReport`, `AgentAVD`, `AssistPaymentRecurring`, `Attribute`, `BillDoc`, `CardPacket`, `ContractDocType`, `ContractPackage`, `ContractStockItem`, `ContractTariff`, `DealerPayment`, `Device`, `DPayment`, `EmailMaster`, `EnazaAccessToken`, `InetAccountingPeriod`, `InetAuthError`, `LimitChangeTask`, `MangoPhone`, `MegafonContractOption`, `MegafonContractProduct`, `MegafonPayment`, `MegogoContractSubRequestLog`, `MobileContractData`, `MobileContractNotification`, `MobilePushTokenLink`, `MobileRequestPushToken`, `MobileToken`, `Rebill`, `RebillTransaction`, `RentsoftPayment`, `RSCMContractService`, `RSCMContractServiceInstallment`, `RunTelContractTariff`, `ServiceObject`, `SmartHouseAccount`, `SmartHouseIntercomFlat`, `SmartHousePackageContract`, `SoftkeyTransaction`, `SoftLineSubscription`, `StatisticNote`, `SubscriberAccount`, `Subscription`, `SynclogEntry`, `VoiceAuthError`, `WarehouseOperationEntry`, `Zone`, `ZoneWhois`

public class IdContractId extends Id implements ContractIdable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdContractId()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  Возвращает id договора
  `IdContractId`
  `setContractId(int contractId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdContractId

    public IdContractId()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public IdContractId setContractId(int contractId)